> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/integrations/generic-integrations/batch-export/logs.md).

# Logs

To retrieve the list of export logs, send a `GET /marketplace/exports/logs` request with the ID of your export configuration and the ID of the organization that your export belongs to:

```javascript
GET https://api.didomi.io/marketplace/exports/logs?export_id=9gh49gn5&organization_id=didomi

{
    "data": [{
        "id": "585g64ff",
        "export_id": "9gh49gn5"
        "organization_id": "didomi",
        "status": "completed",
        "config": { "frequency": "1 day" },
        "metrics": {
            "users": 432234 
        },
        "result": "Job failed."
    }]
}
```

### Exports status

During the scheduled execution of your batch export, the following status can be logged:

| Status      | Description                                                                                                                                     |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `pending`   | The export is currently running and preparing the delivery of your batch.                                                                       |
| `completed` | The export has finished successfully and your data has been delivered. You can find some information about the batch in the `metrics` property. |
| `failed`    | The export has failed to deliver the data. The error message can be found in the `result` property.                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/integrations/generic-integrations/batch-export/logs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
